LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::sheet::DateType Constant Group Reference

## Variables
const long | TODAY = 0
const long | YESTERDAY = 1
const long | TOMORROW = 2
const long | LAST7DAYS = 3
const long | THISWEEK = 4
const long | LASTWEEK = 5
const long | NEXTWEEK = 6
const long | THISMONTH = 7
const long | LASTMONTH = 8
const long | NEXTMONTH = 9
const long | THISYEAR = 10
const long | LASTYEAR = 11
const long | NEXTYEAR = 12

## Variable Documentation

## ◆ LAST7DAYS

const long LAST7DAYS = 3

## ◆ LASTMONTH

const long LASTMONTH = 8

## ◆ LASTWEEK

const long LASTWEEK = 5

## ◆ LASTYEAR

const long LASTYEAR = 11

## ◆ NEXTMONTH

const long NEXTMONTH = 9

## ◆ NEXTWEEK

const long NEXTWEEK = 6

## ◆ NEXTYEAR

const long NEXTYEAR = 12

## ◆ THISMONTH

const long THISMONTH = 7

## ◆ THISWEEK

const long THISWEEK = 4

## ◆ THISYEAR

const long THISYEAR = 10

## ◆ TODAY

const long TODAY = 0

## ◆ TOMORROW

const long TOMORROW = 2

## ◆ YESTERDAY

const long YESTERDAY = 1